#!/bin/bash -i
#SBATCH --mem=120g
#SBATCH --cpus-per-task=32
#SBATCH --time=14-0
#SBATCH --gres=gpu:4
#SBATCH --output=runs/outputs/lines-gan-cifar10-32x32-12-bs-32-br-16-reconstruction-lambda-0.7-7537115f-4845-417a-8620-9d0b03f13087-%j.out
#SBATCH --error=runs/errors/lines-gan-cifar10-32x32-12-bs-32-br-16-reconstruction-lambda-0.7-7537115f-4845-417a-8620-9d0b03f13087-%j.err
#SBATCH --mail-user=EMAIL
#SBATCH --mail-type=ALL

module load cuda
module load cudnn
cd PATH
source PATH/bin/activate
torchrun \
  --nproc-per-node 4 \
  -m src.scripts.lines_gan_conditional \
  --config_filepath configs/lines-gan-cifar10-32x32-12-bs-32-br-16-reconstruction-lambda-0.7-7537115f-4845-417a-8620-9d0b03f13087.json \
  --distributed \
  --retries 3
