#!/bin/bash -i
#SBATCH --mem=120g
#SBATCH --cpus-per-task=32
#SBATCH --time=14-0
#SBATCH --gres=gpu:4
#SBATCH --output=runs/outputs/lines-gan-cifar10-32x32-12-bs-32-br-16-single-step-a9570596-78a1-4fc0-86c2-0fbcd3629852-%j.out
#SBATCH --error=runs/errors/lines-gan-cifar10-32x32-12-bs-32-br-16-single-step-a9570596-78a1-4fc0-86c2-0fbcd3629852-%j.err
#SBATCH --mail-user=EMAIL
#SBATCH --mail-type=ALL

module load cuda
module load cudnn
cd PATH
source PATH/bin/activate
torchrun \
  --nproc-per-node 4 \
  -m src.scripts.lines_gan_conditional \
  --config_filepath configs/lines-gan-cifar10-32x32-12-bs-32-br-16-single-step-a9570596-78a1-4fc0-86c2-0fbcd3629852.json \
  --distributed \
  --retries 3
