#!/bin/bash -i
#SBATCH --mem=120g
#SBATCH --cpus-per-task=32
#SBATCH --time=14-0
#SBATCH --gres=gpu:4
#SBATCH --output=runs/outputs/lines-gan-imagenet-64x64-8-bs-16-br-32-23355c0b-59ee-4025-bfba-59fb6b34b6cf-%j.out
#SBATCH --error=runs/errors/lines-gan-imagenet-64x64-8-bs-16-br-32-23355c0b-59ee-4025-bfba-59fb6b34b6cf-%j.err
#SBATCH --mail-user=EMAIL
#SBATCH --mail-type=ALL

module load cuda
module load cudnn
cd PATH
source PATH/bin/activate
torchrun \
  --nproc-per-node 4 \
  -m src.scripts.lines_gan_conditional \
  --config_filepath configs/lines-gan-imagenet-64x64-8-bs-16-br-32-23355c0b-59ee-4025-bfba-59fb6b34b6cf.json \
  --distributed \
  --retries 3
